devel/flatbuffers - The NetBSD Packages Collection

Memory efficient serialization library

FlatBuffers is an efficient cross platform serialization library for
C++, C#, C, Go, Java, JavaScript, PHP, and Python. It was originally
created at Google for game development and other performance-critical
applications.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 8.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 8.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 8.0i386flatbuffers-1.9.0.tgz
NetBSD 8.0i386flatbuffers-1.9.0.tgz
NetBSD 8.0x86_64flatbuffers-1.9.0.tgz
NetBSD 8.0x86_64flatbuffers-1.9.0.tgz
NetBSD 9.0aarch64flatbuffers-1.9.0.tgz
NetBSD 9.0aarch64flatbuffers-1.9.0.tgz
NetBSD 9.0aarch64flatbuffers-1.9.0.tgz
NetBSD 9.0alphaflatbuffers-1.9.0.tgz
NetBSD 9.0alphaflatbuffers-1.9.0.tgz
NetBSD 9.0alphaflatbuffers-1.9.0.tgz
NetBSD 9.0earmflatbuffers-1.9.0.tgz
NetBSD 9.0earmflatbuffers-1.9.0.tgz
NetBSD 9.0earmflatbuffers-1.9.0.tgz
NetBSD 9.0earmv6hfflatbuffers-1.9.0.tgz
NetBSD 9.0earmv6hfflatbuffers-1.9.0.tgz
NetBSD 9.0earmv6hfflatbuffers-1.9.0.tgz
NetBSD 9.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 9.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 9.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 9.0earmv7hfflatbuffers-1.9.0.tgz
NetBSD 9.0i386flatbuffers-1.9.0.tgz
NetBSD 9.0i386flatbuffers-1.9.0.tgz
NetBSD 9.0mips64ebflatbuffers-1.9.0.tgz
NetBSD 9.0mips64ebflatbuffers-1.9.0.tgz
NetBSD 9.0mips64ebflatbuffers-1.9.0.tgz
NetBSD 9.0mips64ebflatbuffers-1.9.0.tgz
NetBSD 9.0mips64ebflatbuffers-1.9.0.tgz
NetBSD 9.0sparc64flatbuffers-1.9.0.tgz
NetBSD 9.0sparc64flatbuffers-1.9.0.tgz
NetBSD 9.0sparc64flatbuffers-1.9.0.tgz
NetBSD 9.0sparcflatbuffers-1.9.0.tgz
NetBSD 9.0sparcflatbuffers-1.9.0.tgz
NetBSD 9.0sparcflatbuffers-1.9.0.tgz
NetBSD 9.0sparcflatbuffers-1.9.0.tgz
NetBSD 9.0sparcflatbuffers-1.9.0.tgz
NetBSD 9.0x86_64flatbuffers-1.9.0.tgz
NetBSD 9.0x86_64flatbuffers-1.9.0.tgz
NetBSD 9.0x86_64flatbuffers-1.9.0.tgz
NetBSD 9.0x86_64flatbuffers-1.9.0.tgz
NetBSD 9.0x86_64flatbuffers-1.9.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.